PLANET_NAMES = [
    "LV-426",
    "Авалон",
    "Азуріс",
    "Айур",
    "Аларіс",
    "Алгол",
    "Алкор",
    "Алмак",
    "Альдебаран",
    "Альфа",
    "Альфард",
    "Аметія",
    "Анабель",
    "Анакко",
    "Андельм",
    "Андор",
    "Анзік",
    "Ансельм",
    "Антар",
    "Антарес",
    "Антос",
    "Апо",
    "Арбіфлакс",
    "Арвала",
    "Арідус",
    "Артаніс",
    "Астерона",
    "Астрея",
    "Атерра",
    "Аурантіс",
    "Аурантія",
    "Ауріона",
    "Аффа",
    "Базантіс",
    "Базір",
    "Бакура",
    "Баласар",
    "Бальтар",
    "Банглор",
    "Баншира",
    "Безуро",
    "Беллатрікс",
    "Бігару",
    "Бізар",
    "Біонікс",
    "Біохазар",
    "Бірен",
    "Бластар",
    "Брантур",
    "Бронтар",
    "Бронтікс",
    "Бротлор",
    "Брутар",
    "Бруфор",
    "Вайлар",
    "Вакіра",
    "Ваксіру",
    "Валкор",
    "Вальзергот",
    "Вальрон",
    "Ваморта",
    "Вандакса",
    "Ванкор",
    "Варад",
    "Варкана",
    "Вартаніс",
    "Ватора",
    "Вейк",
    "Велларія",
    "Велорія",
    "Вердантія",
    "Веридія",
    "Веспара",
    "Віллін",
    "Вінкасу",
    "Вірату",
    "Вірсавія",
    "Віфорла",
    "Вонт-Тарнам",
    "Вортексон",
    "Вурійон",
    "Вурімаф",
    "Галагос",
    "Галадріан",
    "Галфор",
    "Гангора",
    "Ганікатру",
    "Гекса",
    "Геліонія",
    "Геонозіс",
    "Гігіона",
    "Гіджу",
    "Гізару",
    "Гіксіона",
    "Гіпатра",
    "Гірея",
    "Гістату",
    "Гіштар",
    "Гоетія",
    "Гоктара",
    "Гольтару",
    "Гонда",
    "Грандар",
    "Грос",
    "Гуата",
    "Гун-Мурадор",
    "Гуртор",
    "Дагоба",
    "Даєн",
    "Дальмазар",
    "Дандоран",
    "Данду",
    "Дарктіл",
    "Дастіліон",
    "Дашту",
    "Дезіра",
    "Денон",
    "Джайна",
    "Джакул",
    "Джафан",
    "Джекара",
    "Джетес",
    "Діадема",
    "Дізару",
    "Діокра",
    "Драксул",
    "Дуфрат",
    "Дхарога",
    "Еден",
    "Еденор",
    "Еджара",
    "Езатот",
    "Ейонікс",
    "Екрофос",
    "Ексатон",
    "Ексіо",
    "Ексу",
    "Ектар",
    "Ектару",
    "Ектафор",
    "Екхісар",
    "Елізіум",
    "Елітар",
    "Ельтасор",
    "Еміда",
    "Енігма",
    "Епікаро",
    "Епіроку",
    "Ерайм",
    "Еріда",
    "Ерпіку",
    "Ескаріо",
    "Ефіраку",
    "Ефірон",
    "Еш",
    "Ешлар",
    "Єва",
    "Євангеліон",
    "Єміда",
    "Жактіфар",
    "Жанфара",
    "Залькіхар",
    "Зекаріон",
    "Земля",
    "Зенітар",
    "Зератул",
    "Зеріона",
    "Зізар",
    "Зікко",
    "Зінзару",
    "Зінфіна",
    "Зіон",
    "Зоргія",
    "Ібзар",
    "Ієкса",
    "Ізеран",
    "Ізиліс",
    "Ікара",
    "Ікаріс",
    "Ікарон",
    "Ікхару",
    "Ілезія",
    "Іліада",
    "Індокс",
    "Інкс",
    "Інкуба",
    "Інферно",
    "Ірадія",
    "Іридія",
    "Ірф",
    "Ітапі",
    "Ішру",
    "Йор",
    "Кабарія",
    "Кавас",
    "Каддак",
    "Калі",
    "Калісто",
    "Калкороан",
    "Капелла",
    "Каракура",
    "Кардотта",
    "Каріда",
    "Карк",
    "Каркаріс",
    "Карлак",
    "Карнакс",
    "Кассіопея",
    "Катарія",
    "Квазар",
    "Квел",
    "Келлакс",
    "Кетсі",
    "Кзірл",
    "Кінуін",
    "Кірос",
    "Кіфекс",
    "Кіффу",
    "Клакдор",
    "Кнарк",
    "Кнос",
    "Кода",
    "Колдрон",
    "Кона",
    "Корвус",
    "Корулаг",
    "Корус",
    "Косія",
    "Кочаб",
    "Кріг",
    "Кронар",
    "Кронос",
    "Крул",
    "Ксайр",
    "Ксала",
    "Ксандару",
    "Ксантія",
    "Ксель-Нага",
    "Ксератул",
    "Ксоррн",
    "Курса",
    "Ла-Адель",
    "Лагорія",
    "Лакрона",
    "Лантіб",
    "Лартора",
    "Лау-Шада",
    "Легрос",
    "Ліліт",
    "Ліокра",
    "Ліра",
    "Лірана",
    "Ліфал",
    "Ліштру",
    "Локс",
    "Лоргус",
    "Лугронія",
    "Лулу",
    "Лурк",
    "Лутара",
    "Малкор",
    "Малпаз",
    "Манфа",
    "Мара",
    "Марадур",
    "Маргас",
    "Мардона",
    "Марсіон",
    "Медуза",
    "Мігар",
    "Мігіріс",
    "Мідар",
    "Мізар",
    "Мілідріс",
    "Мімбаф",
    "Мінфар",
    "Міотрікс",
    "Міра",
    "Мірак",
    "Міраліс",
    "Міранда",
    "Міргас",
    "Міркон",
    "Міса Амане",
    "Мітау",
    "Міштард",
    "Мон-Ката",
    "Моргана",
    "Морелія",
    "Морті",
    "Мрінзебун",
    "Мтелос",
    "Мулдур",
    "Мурджа",
    "Мустафар",
    "Набу",
    "Навлаас",
    "Наг-Убдур",
    "Найралак",
    "Након",
    "Накота",
    "Накроніс",
    "Нам-Хаза",
    "Нам-Чоріс",
    "Нантрі",
    "Нарака",
    "Нар-Каджи",
    "Нарул",
    "Небулон",
    "Некронікс",
    "Необа",
    "Нібіру",
    "Нігапо",
    "Нігіру",
    "Нігофу",
    "Нір",
    "Ніракор",
    "Нірвана",
    "Ніргу",
    "Нірна",
    "Ніфоку",
    "Ноксус",
    "Нокту",
    "Нокшар",
    "Нона",
    "Норіама",
    "Нургія",
    "Нургус",
    "Ованіс",
    "Окахонт",
    "Окіджу",
    "Октавія",
    "Октаро",
    "Ольпарон",
    "Омега",
    "Онікс",
    "Оріон",
    "Орн-Кіос",
    "Орра",
    "Осіріс",
    "Офріт",
    "Оцирон",
    "Ошира",
    "Пагіру",
    "Паджул",
    "Пальманор",
    "Памба",
    "Пандора",
    "Парау",
    "Пегас",
    "Перфея",
    "Пігарус",
    "Пігольм",
    "Помпея",
    "Прай-Кіда",
    "Праймар",
    "Проксіма",
    "Псіонікс",
    "Райшо",
    "Ракка",
    "Раптор",
    "Ра-Тенель",
    "Раубель",
    "Регулус",
    "Рейтар",
    "Решдарт",
    "Рівейн",
    "Рігель",
    "Ріоку",
    "Ріон",
    "Рубікар",
    "Рушбан",
    "Сабуру",
    "Сайфар",
    "Санджи",
    "Санрайз",
    "Сансара",
    "Саргаз",
    "Саргіза",
    "Сей-Арен",
    "Сиріус",
    "Сігма",
    "Сідель",
    "Сіджу",
    "Скавен",
    "Скат",
    "Скорн",
    "Сон-Авель",
    "Сон-Тул",
    "Спіралікс",
    "Стелларія",
    "Сургот",
    "Тайранк",
    "Такобо",
    "Талбор",
    "Талдрус",
    "Талус",
    "Таміра",
    "Танаб",
    "Тантіру",
    "Тантрікс",
    "Таргонія",
    "Тарокса",
    "Тарсис",
    "Татуін",
    "Таурус",
    "Тафзару",
    "Терантіс",
    "Терафорта",
    "Терра",
    "Терраплекс",
    "Тіннел",
    "Тіодріс",
    "Тіонікс",
    "Тіраніда",
    "Тіфірип",
    "Тофі",
    "Тралус",
    "Трініті",
    "Тріфон",
    "Тургол",
    "Турнаку",
    "Турнос",
    "Тхаруз",
    "Улгор",
    "Ун",
    "Унзілон",
    "Уннага",
    "Уруджаб",
    "Ушту",
    "Фавія",
    "Фаврак",
    "Фартпур",
    "Фенікс",
    "Фенір",
    "Фінакру",
    "Фінора",
    "Фіроку",
    "Фірон",
    "Фітсель",
    "Фрокір",
    "Фроскар",
    "Хайгара",
    "Хайдарі",
    "Хантаку",
    "Харат",
    "Харпагон",
    "Хартог",
    "Хатшур",
    "Хеліон",
    "Хеліосія",
    "Хіадра",
    "Хідзару",
    "Хілбет",
    "Хімерон",
    "Хінрат",
    "Хіор",
    "Хіптар",
    "Хітроку",
    "Хіцера",
    "Храпар",
    "Хроксис",
    "Хромотон",
    "Хронос",
    "Хюррал",
    "Центара",
    "Церея",
    "Цикрат",
    "Цимбаду",
    "Цироку",
    "Цирона",
    "Цифей",
    "Цифтора",
    "Цуруду",
    "Чагос",
    "Чадор",
    "Чазура",
    "Чіаміс",
    "Чо-Гал",
    "Шазур",
    "Шалтар",
    "Шандор",
    "Шанфір",
    "Шулон",
    "Ювей",
    "Юггот",
    "Юдота",
    "Юкка",
    "Юмрель",
    "Язгар",
    "Яктора",
    "Яндор",
    "Янмар",
    "Янпар",
    "Яркон",
    "Яртія",
    "Ярхіда",
    "Ятіон",
    "Ятрил",
    "Яшор"
]



# Функція приймає список імен планет, видаляє повтори та відсортовує його у алфавітному порядку
"""
def sortPlanetNames(names):

    unique_names = list(set(names))

    import locale
    locale.setlocale(locale.LC_COLLATE, 'uk_UA.UTF-8')

    sorted_names = sorted(unique_names, key=locale.strxfrm)

    with open("screens/map/planetNames.txt", 'w', encoding='utf-8') as file:
        file.write("PLANET_NAMES = [\n")
        for name in sorted_names:
            file.write(f"    \"{name}\",\n")
        file.write("]\n")

sortPlanetNames(PLANET_NAMES)
"""